Bug 1019558 - RFE - Add live patching and on-demand rebuild to docbuilder
RFE - Add live patching and on-demand rebuild to docbuilder
Status: NEW
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 01:34 EDT by Tim Hildred
Modified: 2014-08-04 18:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Hildred 2013-10-16 01:34:22 EDT
Description of problem:
On demand re-builds would allow authors to add new topics to content maps, push them, rebuild their books, and immediately begin editing their topics from the docbuilder. 

Live patching on a docbuilder book would be a killer feature, as it would allow authors to see their changes immediately in the context of their whole book.
Comment 1 Matthew Casperson 2013-10-19 22:04:40 EDT
On demand rebuilds are not really necessary, as DocBuilder sits in a continuous loop waiting for content specs to change. There can be a delay in getting specs rebuilt if a number of specs are already in the process of building, but this is a matter of resource limits (DocBuilder can only build so many books at one time), and making the books build on demand wouldn't help.

We could look at adding some kind of notification system that showed anyone in DocBuilder when their books had been updated.

Note You need to log in before you can comment on or make changes to this bug.